September 4th, 2008

Welcome to the distant past

I use Firefox 2. Did you know it's ancient and not standards-compliant? Then clearly you haven't visited thn.gs with it. If you do, you get this lovely message:

Your browser is not supported (probably it won't be)
and we are not sorry about it.


Why?
Normally people use modern, standarts-compliant browsers and they're happy with them. If we would allow you to see our site in your browser, it will look like a mess, but we don't care because it's not our mistake. Basically, your browser simply can't handle such an application like Things, but there's plenty of recommended browsers: Safari 3, Firefox 3, Opera 9, Chrome, etc.
Thanks, guys! It's not often I get flashbacks of someone else's memories.